## mono-basic 3.0~pre20130627.4dcc70f

=== build/Makefile ===
thisdir = build
SUBDIRS = 
include ../build/rules.make

all-local install-local test-local run-test-local run-test-ondotnet-local uninstall-local: $(BUILT_FILES)
	@:

clean-local:
	-rm -f $(BUILT_FILES) deps/*


DISTFILES = \
	config-default.make		\
	executable.make			\
	library.make			\
	rules.make			\
	$(PLATFORMS:%=platforms/%.make) $(PROFILES:%=profiles/%.make)

dist-local: dist-default
	$(MKINSTALLDIRS) $(distdir)/deps

=== man/Makefile ===
thisdir = man
SUBDIRS =
include ../build/rules.make

DISTFILES = vbnc.1

MANDIR=$(DESTDIR)$(man1_dir)

install-local:
	test -z "$(MANDIR)" || mkdir -p "$(MANDIR)"
	/usr/bin/install -c -m 644 vbnc.1 "$(MANDIR)/vbnc.1"

clean-local test-local run-test-local run-test-ondotnet-local all-local uninstall-local:
	@:

dist-local: dist-default

=== vbnc/Makefile ===
thisdir := vbnc
SUBDIRS := cecil vbnc rt

DISTFILES =	\
	License.txt \
	LicenseFileHeader.txt

include ../build/rules.make

clean-local test-local run-test-local run-test-ondotnet-local all-local install-local uninstall-local:
	@:

dist-local: dist-default

=== vbnc/cecil/Makefile ===
thisdir := vbnc/cecil
SUBDIRS := symbols

include ../../build/rules.make

LIBRARY = Mono.Cecil.VB.dll
LIBRARY_COMPILE = dmcs -keyfile:$(topdir)/$(thisdir)/mono.snk -d:CECIL -debug
#LIBRARY_SNK = $(topdir)/$(thisdir)/mono.snk

include ../../build/library.make

DISTFILES = \
	$(wildcard *.csproj)	\
	NOTES.txt	\
	mono.snk	\
	Mono.Cecil.VB.dll.sources

Mono.Cecil.VB.dll.sources: Mono.Cecil.VB.csproj
	grep "Compile Include" Mono.Cecil.VB.csproj | sed 's_.*["]\(.*\)["].*_\1_' | sed 's_\\_/_' > $@

=== vbruntime/Test/Makefile ===

thisdir = vbruntime/Test
SUBDIRS =
include ../../build/rules.make

DISTFILES = \
	2010VB_test_CS.csproj		\
	2010VB_test_CS.dll.rsp		\
	2010VB_test_CS.dll.sources	\
	2010VB_test_CS.dll.sources.win	\
	2010VB_test_VB.dll.rsp		\
	2010VB_test_VB.dll.sources	\
	2010VB_test_VB.dll.sources.win	\
	2010VB_test_VB.vbproj		\
	ChangeLog

DISTFILES += $(wildcard *.vb) $(wildcard *.cs) $(wildcard */*.vb) $(wildcard */*.cs)
DISTFILES += $(wildcard bin/*config)

MONO_VB_PATH="../../class/lib/bootstrap$(PLATFORM_PATH_SEPARATOR)$$MONO_PATH"

ifeq ("$(FXVERSION)", "")
NUNIT_VERSION=2
else
NUNIT_VERSION=$(FXVERSION)
endif

ifeq ("$(NUNIT_VERSION)", "1")
CSCOMPILER=mcs
CSDEFINES=-define:NET_1_0,NET_1_1
else
CSCOMPILER=gmcs
CSDEFINES=-define:NET_1_0,NET_1_1,NET_2_0
endif

ifeq ($(PLATFORM), win32)
WINTEST=-cmd /C Make.cmd 1_1; cmd /C Make.cmd 2_0
else
WINTEST=-echo Linux environment.
endif

bin/nunit-console.exe:
	wget --no-check-certificate -O bin/nunit-console.exe "http://github.com/mono/mono-basic/raw/70f26b5b6f3c16999cb3e0b5864df88752fe683a/vbruntime/Test/bin/nunit-console.exe"
bin/nunit.framework.dll:
	wget --no-check-certificate -O bin/nunit.framework.dll "http://github.com/mono/mono-basic/raw/70f26b5b6f3c16999cb3e0b5864df88752fe683a/vbruntime/Test/bin/nunit.framework.dll"
bin/nunit.core.dll:
	wget --no-check-certificate -O bin/nunit.core.dll "http://github.com/mono/mono-basic/raw/70f26b5b6f3c16999cb3e0b5864df88752fe683a/vbruntime/Test/bin/nunit.core.dll"
bin/nunit.util.dll:
	wget --no-check-certificate -O bin/nunit.util.dll "http://github.com/mono/mono-basic/raw/70f26b5b6f3c16999cb3e0b5864df88752fe683a/vbruntime/Test/bin//nunit.util.dll"

init: bin/nunit-console.exe bin/nunit.framework.dll bin/nunit.core.dll bin/nunit.util.dll
	cp bin/nunit-console$(NUNIT_VERSION).exe.config bin/nunit-console.exe.config
	$(WINTEST)

2010VB_test_VB.dll.sources: 2010VB_test_VB.vbproj
	MONO_PATH=$(MONO_VB_PATH) mono ../../tools/extract-source/extract-source.exe -s:2010VB_test_VB.vbproj -d:2010VB_test_VB.dll.sources -m:l
	MONO_PATH=$(MONO_VB_PATH) mono ../../tools/extract-source/extract-source.exe -s:2010VB_test_VB.vbproj -d:2010VB_test_VB.dll.sources.win -m:w
	
2010VB_test_CS.dll.sources: 2010VB_test_CS.csproj
	MONO_PATH=$(MONO_VB_PATH) mono ../../tools/extract-source/extract-source.exe -s:2010VB_test_CS.csproj -d:2010VB_test_CS.dll.sources -m:l
	MONO_PATH=$(MONO_VB_PATH) mono ../../tools/extract-source/extract-source.exe -s:2010VB_test_CS.csproj -d:2010VB_test_CS.dll.sources.win -m:w

test-first:
	cd ../Microsoft.VisualBasic && make && cp ../../class/lib/$(PROFILE)/Microsoft.VisualBasic.dll* ../Test/bin

test-cs: test-first 2010VB_test_CS.dll.sources
	$(CSCOMPILER) "-out:bin/2010VB_test_CS.dll" @2010VB_test_CS.dll.rsp @2010VB_test_CS.dll.sources -lib:bin $(CSDEFINES)
	
test-vb: test-first 2010VB_test_VB.dll.sources
	$(VBNC) -out:bin/2010VB_test_VB.dll @2010VB_test_VB.dll.rsp /d:NET_VER=2.0 @2010VB_test_VB.dll.sources /libpath:bin

test-local: init run-test-cs run-test-vb

clean-local:
	-rm -f bin/2010VB_test_VB.*
	-rm -f bin/2010VB_test_CS.*
	-rm -fR bin/data
	-rm -f bin/nunit-console.exe bin/nunit.framework.dll bin/nunit.core.dll bin/nunit.util.dll bin/Microsoft.VisualBasic.dll*
	-rm -fR bin/%temp%
	-rm -f bin/TestResult.xml
	
run-test-cs: test-cs
	-cd bin && mono --debug nunit-console.exe 2010VB_test_CS.dll /exclude:NotWorking /labels

run-test-vb: test-vb
	-cd bin && mono --debug nunit-console.exe 2010VB_test_VB.dll /exclude:NotWorking /labels

run-test-local: run-test-cs run-test-vb
	
run-test-ondotnet-local all-local install-local uninstall-local:
	@:

dist-local: dist-default

=== vbnc/cecil/symbols/mdb/Makefile ===
thisdir := vbnc/cecil/symbols/mdb
SUBDIRS := 

include ../../../../build/rules.make

LIBRARY = Mono.Cecil.VB.Mdb.dll
LIBRARY_COMPILE = dmcs -keyfile:$(topdir)/vbnc/cecil/mono.snk -r:$(topdir)/class/lib/$(PROFILE)/Mono.Cecil.VB.dll -d:CECIL -debug
BUILT_FILES = $(topdir)/class/lib/$(PROFILE)/Mono.Cecil.VB.dll

include ../../../../build/library.make

DISTFILES = \
	$(wildcard *.csproj)	\
	Mono.Cecil.VB.Mdb.dll.sources

Mono.Cecil.VB.Mdb.dll.sources: Mono.Cecil.Mdb.VB.csproj
	grep "Compile Include" Mono.Cecil.Mdb.VB.csproj | sed 's_.*["]\(.*\)["].*_\1_' | sed 's_\\_/_' > $@

$(topdir)/class/lib/$(PROFILE)/Mono.Cecil.VB.dll:
	$(MAKE) ../../class/lib/$(PROFILE)/Mono.Cecil.VB.dll PROFILE=$(PROFILE) -C ../..

=== debian/changelog ===
mono-basic (3.0~pre20130627.4dcc70f-1) unstable; urgency=low

  * [a3bcf78] Imported Upstream version 3.0~git20130424.f5a46b1
  * [c57b8a8] Imported Upstream version 3.0~pre20130424b.f338540
  * [3b7d846] Imported Upstream version 3.0~pre20130425.a74642a
  * [94018a3] Imported Upstream version 3.0~pre20130627.4dcc70f
  * [6d60a32] Bump ABI to 2.99, for versioning. We can't use 3.0 here, as 
    this is as pre-3.0 git snapshot, and this would encode a requirement 
    on 3.0 final
  * [3faddfd] Bump build dependency to Mono 3.0, since we need .NET 4.5 
    support
  * [8f6d231] Add VB2012 (.NET 4.5, VB11) packaging data
  * [305bbcb] Refresh debian/copyright with DEP5
  * [71da9ff] Modify dependencies of mono-vbnc to include all references 
    in vbnc.exe.rsp - these are default compiler flags so if they're not 
    installed, the compiler won't work unless you pass /nostdlib (Closes: 
    #715480)
  * [b9f1d12] Make VB11 pull in VB10 runtime library, due to weird 
    internal version resolution issues.

 -- Jo Shields <directhex@apebox.org>  Tue,  9 Jul 2013 22:05:29 +0100

mono-basic (2.10-2) unstable; urgency=low

  * [d90cbc9] Update debian/rules for DH8-compatible "--with cli"

 -- Jo Shields <directhex@apebox.org>  Sat, 21 Jan 2012 11:53:01 +0000

=== debian/control ===
Source: mono-basic
Priority: optional
Maintainer: Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>
Uploaders: Mirco Bauer <meebey@debian.org>, Jo Shields <directhex@apebox.org>
Build-Depends: debhelper (>= 7.0.50~),
 cli-common-dev (>= 0.8~exp2~),
 mono-devel (>= 3.0)
Standards-Version: 3.9.1
Section: devel
Homepage: http://www.mono-project.com/Visual_Basic
Vcs-Git: git://git.debian.org/pkg-mono/packages/mono-basic.git
Vcs-Browser: http://git.debian.org/?p=pkg-mono/packages/mono-basic.git

Package: libmono-microsoft-visualbasic8.0-cil
Section: libs
Architecture: all
Depends: ${cli:Depends}, ${misc:Depends}
Description: Visual Basic 2005 runtime libraries for Mono
 This package contains the Mono Visual Basic runtime library, aimed at
 the specifications / features of the Visual Basic 2005.
 .
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.

Package: libmono-microsoft-visualbasic10.0-cil
Section: libs
Architecture: all
Depends: ${cli:Depends}, ${misc:Depends}
Description: Visual Basic 2010 runtime libraries for Mono
 This package contains the Mono Visual Basic runtime library, aimed at
 the specifications / features of the Visual Basic 2010.
 .
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.

Package: libmono-microsoft-visualbasic11.0-cil
Section: libs
Architecture: all
Depends: libmono-microsoft-visualbasic10.0-cil (= ${binary:Version}), ${cli:Depends}, ${misc:Depends}
Description: Visual Basic 2012 runtime libraries for Mono
 This package contains the Mono Visual Basic runtime library, aimed at
 the specifications / features of the Visual Basic 2010.
 .
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.

Package: libmono-cecil-vb0.9-cil
Section: libs
Architecture: all
Depends: ${cli:Depends}, ${misc:Depends}
Description: Visual Basic 2012 Cecil libraries for Mono
 This package contains the Cecil libraries for the Mono Visual Basic library, 
 aimed at the specifications / features of the Visual Basic 2012.
 .
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.

Package: mono-vbnc
Section: devel
Architecture: all
Depends: libmono-microsoft-visualbasic11.0-cil (= ${binary:Version}), 
 libmono-accessibility4.0-cil,
 libmono-system-configuration4.0-cil,
 libmono-system-data4.0-cil,
 libmono-system-design4.0-cil,
 libmono-system4.0-cil,
 libmono-system-drawing-design4.0-cil,
 libmono-system-drawing4.0-cil,
 libmono-system-web4.0-cil,
 libmono-system-web-services4.0-cil,
 libmono-system-windows-forms4.0-cil,
 libmono-system-xml4.0-cil,
 ${cli:Depends}, 
 ${misc:Depends}
Provides: visual-basic-11.0-compiler
Description: Mono Visual Basic Compiler (VB.NET)
 This is the Mono Visual Basic.NET Compiler (vbnc), aimed at the specifications
 / features of the Visual Basic 2005 compiler.
 A platform-independent compiler which produces executable CIL (Common
 Intermediate Language) binaries.
 This compiler targets the CLI (Common Language Infrastructure) 4.5 runtime
 version.
 .
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.

Package: mono-basic-dbg
Priority: extra
Section: devel
Depends: mono-vbnc (= ${binary:Version}), libmono-microsoft-visualbasic11.0-cil (= ${binary:Version}), libmono-microsoft-visualbasic10.0-cil (= ${binary:Version}), libmono-microsoft-visualbasic8.0-cil (= ${binary:Version}), libmono-cecil-vb0.9-cil (= ${binary:Version}), ${misc:Depends}
Architecture: all
Description: Mono Visual Basic, debugging symbols
 This package contains debugging symbols of the mono-vbnc and
 libmono-microsoft-visualbasic{8,10,11}.0-cil packages.
 .
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
MAKEFILE = $(firstword $(MAKEFILE_LIST))
DEBIAN_DIR = $(dir $(MAKEFILE))
SOURCE_DIR = $(DEBIAN_DIR)/..

DEB_VERSION = $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog | grep ^Version | cut -d" " -f2)
DEB_SOURCE_NAME = $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog | grep ^Source | cut -d" " -f2)
VERSION = $(shell echo $(DEB_VERSION) | cut -d"-" -f1 | sed 's/+dfsg.*//')

export MONO_SHARED_DIR=$(CURDIR)

DEB_CLI_API_VERSION = 2.99

get-orig-source:
	uscan \
		--package $(DEB_SOURCE_NAME) \
		--watchfile $(DEBIAN_DIR)/watch \
		--upstream-version $(VERSION) \
		--download-version $(VERSION) \
		--destdir . \
		--force-download \
		--rename

override_dh_clistrip:
	dh_clistrip -i --dbg-package=mono-basic-dbg

override_dh_makeclilibs:
	dh_makeclilibs -i -m $(DEB_CLI_API_VERSION)

override_dh_clideps:
	dh_clideps --exclude-moduleref=kernel32 --exclude-moduleref=ole32.dll

override_dh_auto_test:

%:
	dh $@ --with cli

=== debian/watch ===
version=3
http://ftp.novell.com/pub/mono/sources/mono-basic/ mono-basic-([.\d]+)\.tar\.bz2

## mono-basic 3.8

=== debian/changelog ===
mono-basic (3.8-1) unstable; urgency=medium

  * [2d9eb22] Imported Upstream version 3.8
  * [d58dc67] Delete resources file in clean rule, to prevent FTBFS

 -- Jo Shields <jo.shields@xamarin.com>  Thu, 25 Sep 2014 17:53:17 +0100

=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,10 @@
 override_dh_clideps:
 	dh_clideps --exclude-moduleref=kernel32 --exclude-moduleref=ole32.dll
 
+override_dh_clean:
+	rm -f vbnc/vbnc/vbnc.Errors.resources
+	dh_clean
+
 override_dh_auto_test:
 
 %:

## mono-basic 4.0.1

=== Makefile ===
thisdir := .

SUBDIRS := build man class vbruntime
net_4_5_SUBDIRS := tools vbnc scripts $(SUBDIRS)

DIST_SUBDIRS := $(net_4_5_SUBDIRS)

include build/rules.make

all-recursive $(STD_TARGETS:=-recursive): platform-check profile-check

.PHONY: all-local $(STD_TARGETS:=-local)
all-local $(STD_TARGETS:=-local):
	@:

DISTFILES = README configure mkinstalldirs install-sh LICENSE

package := mono-basic-$(VERSION)

dist-local: dist-default

dist-pre:
	rm -rf $(package)
	mkdir $(package)

dist-tarball: dist-pre
	$(MAKE) distdir='$(package)' dist-recursive
	tar cvjf $(package).tar.bz2 $(package)

dist: dist-tarball
	rm -rf $(package)
	sed -e s,@VERSION@,$(VERSION),g < mono-basic.spec.in > mono-basic.spec

# the egrep -v is kind of a hack (to get rid of the makefrags)
# but otherwise we have to make dist then make clean which
# is sort of not kosher. And it breaks with DIST_ONLY_SUBDIRS.
#
# We need to set prefix on make so class/System/Makefile can find
# the installed System.Xml to build properly

distcheck: dist-tarball
	rm -rf InstallTest Distcheck-MONOBASIC ; \
	mkdir InstallTest ; \
	destdir=`cd InstallTest && pwd` ; \
	mv $(package) Distcheck-MONOBASIC ; \
	(cd Distcheck-MONOBASIC && \
	    ./configure --prefix=$(prefix) && \
	    $(MAKE) prefix=$(prefix) && $(MAKE) test && $(MAKE) install DESTDIR="$$destdir" && \
	    $(MAKE) clean && $(MAKE) dist || exit 1) || exit 1 ; \
	mv Distcheck-MONOBASIC $(package) ; \
	tar tjf $(package)/$(package).tar.bz2 |sed -e 's,/$$,,' |sort >distdist.list ; \
	rm $(package)/$(package).tar.bz2 ; \
	tar tjf $(package).tar.bz2 |sed -e 's,/$$,,' |sort >before.list ; \
	find $(package) |egrep -v '(makefrag|config.make)' |sed -e 's,/$$,,' |sort >after.list ; \
	cmp before.list after.list || exit 1 ; \
	cmp before.list distdist.list || exit 1 ; \
	rm -f before.list after.list distdist.list ; \
	rm -rf $(package) InstallTest

=== scripts/Makefile ===
thisdir = scripts

include ../build/rules.make

PROGRAM_INSTALL_DIR = $(prefix)/bin

all-local: vbnc vbnc2

vbnc vbnc2: vbnc.in vbnc2.in Makefile
	sed -e s,@prefix@,$(prefix),g < $@.in > $@.tmp
	mv $@.tmp $@

install-local: all-local
	$(MKINSTALLDIRS) $(DESTDIR)$(PROGRAM_INSTALL_DIR)
	$(INSTALL_BIN) vbnc $(DESTDIR)$(PROGRAM_INSTALL_DIR)
	$(INSTALL_BIN) vbnc2 $(DESTDIR)$(PROGRAM_INSTALL_DIR)

uninstall-local: 
	-rm -f $(DESTDIR)$(PROGRAM_INSTALL_DIR)/vbnc
	-rm -f $(DESTDIR)$(PROGRAM_INSTALL_DIR)/vbnc2

DISTFILES = vbnc.in vbnc2.in Makefile

clean-local:
	rm -f vbnc vbnc2

test-local run-test-local run-test-ondotnet-local all-local:
	@:

dist-local: dist-default

=== tools/Makefile ===
thisdir = tools

SUBDIRS = extract-source moonlight

include ../build/rules.make

DISTFILES = Makefile

clean-local test-local run-test-local run-test-ondotnet-local all-local install-local uninstall-local:
	@:

dist-local: dist-default

tune:
	$(MAKE) -C moonlight tune

=== vbruntime/Makefile ===
thisdir = vbruntime
include ../build/rules.make

SUBDIRS := Microsoft.VisualBasic Test

DISTFILES = Makefile VB.build.bat

clean-local all-local install-local uninstall-local:
	@set . $$MAKEFLAGS; final_exit=:; \
	for p in $(PROFILES) ; do \
	    (cd Microsoft.VisualBasic && $(MAKE) profile-check PROFILE=$$p $@) || { final_exit="exit 1"; exit 1; } ; \
	done; \

test-local run-test-local run-test-ondotnet-local:
	@:

dist-local: dist-default

=== vbnc/vbnc/Makefile ===
thisdir = vbnc/vbnc
SUBDIRS = tests
include ../../build/rules.make

LOCAL_VBNC_FLAGS = @vbnc.exe.rsp $(EXTERNAL_VBNC_FLAGS) /r:../../class/lib/$(PROFILE)/Mono.Cecil.VB.dll

PROGRAM = $(topdir)/class/lib/$(PROFILE)/vbnc.exe
PROGRAM_COMPILE = $(BOOT_COMPILE) /novbruntimeref /r:../../class/lib/bootstrap/Microsoft.VisualBasic.dll

include ../../build/executable.make

DISTFILES = \
	ChangeLog 		\
	Makefile  		\
	Readme.txt  		\
	vbnc.Errors.resources	\
	vbnc.exe.rsp  		\
	vbnc.exe.sources  	\
	vbnc.vbnc.rsp		\
	source/vbnc.vbproj	\
	source/Resources/Errors.resx \
	source/vbnc.rsp		\
	setversion.sh

CLEAN_FILES = \
	version.tmp 					\
	$(topdir)/vbnc/vbnc/source/General/Version.vb 	\
	../../class/lib/$(PROFILE)/vbnc.rsp

version.tmp: $(topdir)/configure setversion.sh
	-$(topdir)/vbnc/vbnc/setversion.sh $(topdir)/vbnc/vbnc/source/General/Version.vb

all-local: vbnc.Errors.resources vbnc.exe.sources version.tmp
	@cp -p vbnc.vbnc.rsp ../../class/lib/$(PROFILE)/vbnc.rsp
	
vbnc.Errors.resources: source/Resources/Errors.resx
	resgen2 source/Resources/Errors.resx vbnc.Errors.resources

vbnc.vbnc.rsp: source/vbnc.rsp
	cp source/vbnc.rsp vbnc.vbnc.rsp

vbnc.exe.sources: vbnc.vbnc.rsp source/vbnc.vbproj vbnc.Errors.resources
	MONO_PATH="../../class/lib/bootstrap$(PLATFORM_PATH_SEPARATOR)$$MONO_PATH" mono ../../tools/extract-source/extract-source.exe -s:source/vbnc.vbproj -d:vbnc.exe.sources -m:l -b:source/ -x:r

install-local: install-extras version.tmp
install-extras: 
	$(MKINSTALLDIRS) $(DESTDIR)$(PROGRAM_INSTALL_DIR)
	$(INSTALL_DATA) source/vbnc.rsp $(DESTDIR)$(PROGRAM_INSTALL_DIR)

uninstall-local: uninstall-extras
uninstall-extras:
	rm -f $(DESTDIR)$(PROGRAM_INSTALL_DIR)/vbnc.rsp

install-binary: default
	cp ../../class/lib/$(PROFILE)/vbnc.* ../../class/lib/bootstrap
	cp ../../class/lib/$(PROFILE)/Mono.Cecil.* ../../class/lib/bootstrap
	cp source/vbnc.rsp ../../class/lib/bootstrap/vbnc.rsp

boot-from-ms:
	cd tests/SelfTest/ && boot.sh && rerun.sh
	cp tests/SelfTest/vbnc.exe ../../class/lib/bootstrap
	
test-thorough:
	cd tests/SelfTest/ && updatesources.sh
	cd tests/SelfTest/ && rerun.sh && rerun.sh && rerun.sh
	cp tests/SelfTest/vbnc.exe* ../../class/lib/bootstrap
	cd ../../vbruntime && $(MAKE) && $(MAKE) install && cp ../class/lib/net_4_0/Microsoft.VisualBasic.dll* ../class/lib/bootstrap/
	cd ../../ && $(MAKE) clean && $(MAKE) && $(MAKE) install

=== vbruntime/Test/Makefile ===
--- 
+++ 
@@ -18,6 +18,7 @@
 DISTFILES += $(wildcard bin/*config)
 
 MONO_VB_PATH="../../class/lib/bootstrap$(PLATFORM_PATH_SEPARATOR)$$MONO_PATH"
+CSCOMPILER=mcs
 
 ifeq ("$(FXVERSION)", "")
 NUNIT_VERSION=2
@@ -26,10 +27,8 @@
 endif
 
 ifeq ("$(NUNIT_VERSION)", "1")
-CSCOMPILER=mcs
 CSDEFINES=-define:NET_1_0,NET_1_1
 else
-CSCOMPILER=gmcs
 CSDEFINES=-define:NET_1_0,NET_1_1,NET_2_0
 endif

=== vbnc/cecil/symbols/Makefile ===
thisdir := vbnc/cecil/symbols
SUBDIRS := mdb pdb

include ../../../build/rules.make

clean-local test-local run-test-local run-test-ondotnet-local all-local install-local uninstall-local:
	@:

dist-local: dist-default

=== vbnc/vbnc/tests/Makefile ===
thisdir = vbnc/vbnc/tests
SUBDIRS =
include ../../../build/rules.make

DISTFILES = ChangeLog Makefile Readme.txt Resources/Resources3.binary tests.xml
DISTFILES += \
	$(wildcard $(topdir)/vbnc/vbnc/tests/*/*.vb) \
	$(wildcard $(topdir)/vbnc/vbnc/tests/*/*.rsp) \
	$(wildcard $(topdir)/vbnc/vbnc/tests/*/*.response) \
	$(wildcard $(topdir)/vbnc/vbnc/tests/*/*.resources) \
	$(wildcard $(topdir)/vbnc/vbnc/tests/*/*.resx)  \
	$(wildcard $(topdir)/vbnc/vbnc/tests/*/*/*.vb) \
	$(wildcard $(topdir)/vbnc/vbnc/tests/*/*/*.rsp) \
	$(wildcard $(topdir)/vbnc/vbnc/tests/*/*/*.response) \
	$(wildcard $(topdir)/vbnc/vbnc/tests/*/*/*.resources) \
	$(wildcard $(topdir)/vbnc/vbnc/tests/*/*/*.resx)  \
	$(wildcard $(topdir)/vbnc/vbnc/tests/*/*/*/*.vb) \
	$(wildcard $(topdir)/vbnc/vbnc/tests/*/*/*/*.rsp) \
	$(wildcard $(topdir)/vbnc/vbnc/tests/*/*/*/*.response) \
	$(wildcard $(topdir)/vbnc/vbnc/tests/*/*/*/*.resources) \
	$(wildcard $(topdir)/vbnc/vbnc/tests/*/*/*/*.resx) 

make-dependencies:
	$(MAKE) -C ..
	$(MAKE) -C ../../../vbruntime/Microsoft.VisualBasic
	$(MAKE) -C ../../rt rt.exe

test-local: make-dependencies
	mono --debug $(PWD)/../../../class/lib/$(PROFILE)/rt.exe -console

clean-local run-test-local run-test-ondotnet-local all-local install-local uninstall-local:
	@:

dist-local: dist-default

=== vbnc/cecil/symbols/pdb/Makefile ===
thisdir := vbnc/cecil/symbols/pdb
SUBDIRS := 

include ../../../../build/rules.make

LIBRARY = Mono.Cecil.VB.Pdb.dll
LIBRARY_COMPILE = mcs -keyfile:$(topdir)/vbnc/cecil/mono.snk -r:$(topdir)/class/lib/$(PROFILE)/Mono.Cecil.VB.dll -d:CECIL -debug

BUILT_FILES = $(topdir)/class/lib/$(PROFILE)/Mono.Cecil.VB.dll

include ../../../../build/library.make

DISTFILES = \
	$(wildcard *.csproj)		\
	Mono.Cecil.VB.Pdb.dll.sources

Mono.Cecil.VB.Pdb.dll.sources: Mono.Cecil.Pdb.VB.csproj
	grep "Compile Include" Mono.Cecil.Pdb.VB.csproj | sed 's_.*["]\(.*\)["].*_\1_' | sed 's_\\_/_' > $@

$(topdir)/class/lib/$(PROFILE)/Mono.Cecil.VB.dll:
	$(MAKE) ../../class/lib/$(PROFILE)/Mono.Cecil.VB.dll PROFILE=$(PROFILE) -C ../..

=== debian/changelog ===
mono-basic (4.0.1-3) unstable; urgency=medium

  * [bf2e13b] Force a MONO_PATH value, so bootstrap can find libs
  * [e39ab57] Force vbnc.exe to depend on Version.vb (Closes: #916402)

 -- Jo Shields <joshield@microsoft.com>  Tue, 05 Mar 2019 10:23:12 -0500

mono-basic (4.0.1-2) unstable; urgency=medium

  * Team upload.
  * d/watch: point to download.mono-project.com
  * d/copyright: use https for Upstream-Source
  * d/copyright: modernize format link
  * d/control: Vcs-[Git|Browser]: point to salsa
  * d/watch: add repacksuffix
  * create mono-basic-source package (Closes: #912009)
  * bump compat level to 11
  * d/changelog: remove trailing whitespaces
  * d/control: priority extra -> optional

 -- Alexandre Viau <aviau@debian.org>  Sun, 28 Oct 2018 23:00:47 -0400

mono-basic (4.0.1-1) unstable; urgency=medium

  * [a0b2835] Imported Upstream version 4.0.1
  * [66ccc6c] Bump Debhelper compat level to 7
  * [026ba69] We only support VB10 now, so delete old
    packages & shift dependencies around to match

 -- Jo Shields <jo.shields@xamarin.com>  Wed, 09 Sep 2015 11:43:18 +0100

=== debian/control ===
Source: mono-basic
Priority: optional
Maintainer: Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>
Uploaders: Mirco Bauer <meebey@debian.org>, Jo Shields <directhex@apebox.org>
Build-Depends: debhelper (>= 11),
 cli-common-dev (>= 0.8~exp2~),
 mono-devel (>= 3.0)
Standards-Version: 3.9.1
Section: devel
Homepage: http://www.mono-project.com/Visual_Basic
Vcs-Git: https://salsa.debian.org/dotnet-team/mono-basic.git
Vcs-Browser: https://salsa.debian.org/dotnet-team/mono-basic

Package: libmono-microsoft-visualbasic10.0-cil
Breaks: libmono-microsoft-visualbasic11.0-cil
Replaces: libmono-microsoft-visualbasic11.0-cil
Section: libs
Architecture: all
Depends: libmono-cecil-vb0.9-cil (= ${binary:Version}), ${cli:Depends}, ${misc:Depends}
Description: Visual Basic 2012 runtime libraries for Mono
 This package contains the Mono Visual Basic runtime library, aimed at
 the specifications / features of the Visual Basic 2010.
 .
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.

Package: libmono-cecil-vb0.9-cil
Section: libs
Architecture: all
Depends: ${cli:Depends}, ${misc:Depends}
Description: Visual Basic 2012 Cecil libraries for Mono
 This package contains the Cecil libraries for the Mono Visual Basic library,
 aimed at the specifications / features of the Visual Basic 2012.
 .
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.

Package: mono-vbnc
Section: devel
Architecture: all
Depends: libmono-microsoft-visualbasic10.0-cil (= ${binary:Version}),
 libmono-accessibility4.0-cil,
 libmono-system-configuration4.0-cil,
 libmono-system-data4.0-cil,
 libmono-system-design4.0-cil,
 libmono-system4.0-cil,
 libmono-system-drawing-design4.0-cil,
 libmono-system-drawing4.0-cil,
 libmono-system-web4.0-cil,
 libmono-system-web-services4.0-cil,
 libmono-system-windows-forms4.0-cil,
 libmono-system-xml4.0-cil,
 ${cli:Depends},
 ${misc:Depends}
Provides: visual-basic-11.0-compiler
Description: Mono Visual Basic Compiler (VB.NET)
 This is the Mono Visual Basic.NET Compiler (vbnc), aimed at the specifications
 / features of the Visual Basic 2005 compiler.
 A platform-independent compiler which produces executable CIL (Common
 Intermediate Language) binaries.
 This compiler targets the CLI (Common Language Infrastructure) 4.5 runtime
 version.
 .
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.

Package: mono-basic-dbg
Priority: optional
Section: devel
Depends: mono-vbnc (= ${binary:Version}), libmono-microsoft-visualbasic10.0-cil (= ${binary:Version}), libmono-cecil-vb0.9-cil (= ${binary:Version}), ${misc:Depends}
Architecture: all
Description: Mono Visual Basic, debugging symbols
 This package contains debugging symbols of the mono-vbnc and
 libmono-microsoft-visualbasic{8,10,11}.0-cil packages.
 .
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.

Package: mono-basic-source
Section: devel
Architecture: all
Depends: ${misc:Depends}
Description: mono-basic source code
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.
 .
 This package contains an archive of the source code used to build the
 mono-basic packages in Debian.

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 VERSION = $(shell echo $(DEB_VERSION) | cut -d"-" -f1 | sed 's/+dfsg.*//')
 
 export MONO_SHARED_DIR=$(CURDIR)
+export MONO_PATH=/usr/lib/mono/4.5
 
 DEB_CLI_API_VERSION = 2.99
 
@@ -35,9 +36,18 @@
 
 override_dh_clean:
 	rm -f vbnc/vbnc/vbnc.Errors.resources
+	rm -f source-stamp
 	dh_clean
 
 override_dh_auto_test:
 
+override_dh_auto_configure: source-stamp
+	dh_auto_configure
+
+source: source-stamp
+source-stamp:
+	cd $(DEBIAN_DIR) && tar cJf mono-basic-source.tar.xz --exclude=mono-basic-source.tar.xz -C ../.. $$(cd ..; basename $$(pwd))
+	touch $@
+
 %:
 	dh $@ --with cli

=== debian/watch ===
version=4
opts=\
repacksuffix=+ds1 \
  https://download.mono-project.com/sources/mono-basic/ mono-basic-([.\d]+)\.tar\.bz2
